Index: ext/bz2/bz2.c
===================================================================
RCS file: /repository/php-src/ext/bz2/bz2.c,v
retrieving revision 1.26
diff -u -r1.26 bz2.c
--- ext/bz2/bz2.c	30 Aug 2006 18:40:01 -0000	1.26
+++ ext/bz2/bz2.c	25 Sep 2006 08:16:10 -0000
@@ -354,7 +354,7 @@
 	convert_to_string_ex(mode);
 
 	if (Z_STRLEN_PP(mode) != 1 || (Z_STRVAL_PP(mode)[0] != 'r' && Z_STRVAL_PP(mode)[0] != 'w')) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "'%s' is not a valid mode for bzopen(). Only 'w' and 'r' are supported.", Z_STRVAL_PP(mode));
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "'%s' is not a valid mode for bzopen(). Only 'w' and 'r' are supported", Z_STRVAL_PP(mode));
 		RETURN_FALSE;
 	}
 
Index: ext/bz2/bz2_filter.c
===================================================================
RCS file: /repository/php-src/ext/bz2/bz2_filter.c,v
retrieving revision 1.9
diff -u -r1.9 bz2_filter.c
--- ext/bz2/bz2_filter.c	23 Jun 2006 07:30:40 -0000	1.9
+++ ext/bz2/bz2_filter.c	25 Sep 2006 08:16:32 -0000
@@ -290,7 +290,7 @@
 	/* Create this filter */
 	data = pecalloc(1, sizeof(php_bz2_filter_data), persistent);
 	if (!data) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Failed allocating %zu bytes.", sizeof(php_bz2_filter_data));
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Failed allocating %zu bytes", sizeof(php_bz2_filter_data));
 		return NULL;
 	}
 
@@ -303,14 +303,14 @@
 	data->strm.avail_out = data->outbuf_len = data->inbuf_len = 2048;
 	data->strm.next_in = data->inbuf = (char *) pemalloc(data->inbuf_len, persistent);
 	if (!data->inbuf) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Failed allocating %zu bytes.", data->inbuf_len);
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Failed allocating %zu bytes", data->inbuf_len);
 		pefree(data, persistent);
 		return NULL;
 	}
 	data->strm.avail_in = 0;
 	data->strm.next_out = data->outbuf = (char *) pemalloc(data->outbuf_len, persistent);
 	if (!data->outbuf) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Failed allocating %zu bytes.", data->outbuf_len);
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Failed allocating %zu bytes", data->outbuf_len);
 		pefree(data->inbuf, persistent);
 		pefree(data, persistent);
 		return NULL;
Index: ext/bz2/tests/001.phpt
===================================================================
RCS file: /repository/php-src/ext/bz2/tests/001.phpt,v
retrieving revision 1.2
diff -u -r1.2 001.phpt
--- ext/bz2/tests/001.phpt	26 Jun 2006 22:20:55 -0000	1.2
+++ ext/bz2/tests/001.phpt	25 Sep 2006 08:58:28 -0000
@@ -22,7 +22,7 @@
 Warning: Wrong parameter count for bzopen() in %s on line %d
 NULL
 
-Warning: bzopen(): '' is not a valid mode for bzopen(). Only 'w' and 'r' are supported. in %s on line %d
+Warning: bzopen(): '' is not a valid mode for bzopen(). Only 'w' and 'r' are supported in %s on line %d
 bool(false)
 
 Warning: bzopen(): filename cannot be empty in %s on line %d
@@ -31,10 +31,10 @@
 Warning: bzopen(): filename cannot be empty in %s on line %d
 bool(false)
 
-Warning: bzopen(): 'x' is not a valid mode for bzopen(). Only 'w' and 'r' are supported. in %s on line %d
+Warning: bzopen(): 'x' is not a valid mode for bzopen(). Only 'w' and 'r' are supported in %s on line %d
 bool(false)
 
-Warning: bzopen(): 'rw' is not a valid mode for bzopen(). Only 'w' and 'r' are supported. in %s on line %d
+Warning: bzopen(): 'rw' is not a valid mode for bzopen(). Only 'w' and 'r' are supported in %s on line %d
 bool(false)
 
 Warning: bzopen(no_such_file): failed to open stream: No such file or directory in %s on line %d
Index: ext/calendar/calendar.c
===================================================================
RCS file: /repository/php-src/ext/calendar/calendar.c,v
retrieving revision 1.49
diff -u -r1.49 calendar.c
--- ext/calendar/calendar.c	10 Jun 2006 22:59:39 -0000	1.49
+++ ext/calendar/calendar.c	25 Sep 2006 08:17:16 -0000
@@ -328,7 +328,7 @@
 
 
 	if (cal != -1 && (cal < 0 || cal >= CAL_NUM_CALS)) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "invalid calendar ID %ld.", cal);
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "invalid calendar ID %ld", cal);
 		RETURN_FALSE;
 	}
 
@@ -350,7 +350,7 @@
 	}
 
 	if (cal < 0 || cal >= CAL_NUM_CALS) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "invalid calendar ID %ld.", cal);
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "invalid calendar ID %ld", cal);
 		RETURN_FALSE;
 	}
 
@@ -359,7 +359,7 @@
 	sdn_start = calendar->to_jd(year, month, 1);
 
 	if (sdn_start == 0) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "invalid date.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "invalid date");
 		RETURN_FALSE;
 	}
 
@@ -385,7 +385,7 @@
 	}
 
 	if (cal < 0 || cal >= CAL_NUM_CALS) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "invalid calendar ID %ld.", cal);
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "invalid calendar ID %ld", cal);
 		RETURN_FALSE;
 	}
 
@@ -615,7 +615,7 @@
 		RETURN_STRING(date, 1);
 	} else {
 		if (year <= 0 || year > 9999) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Year out of range (0-9999).");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Year out of range (0-9999)");
 			RETURN_FALSE;
 		}
 
Index: ext/calendar/tests/cal_info.phpt
===================================================================
RCS file: /repository/php-src/ext/calendar/tests/cal_info.phpt,v
retrieving revision 1.2
diff -u -r1.2 cal_info.phpt
--- ext/calendar/tests/cal_info.phpt	11 Jul 2006 14:15:38 -0000	1.2
+++ ext/calendar/tests/cal_info.phpt	25 Sep 2006 08:59:34 -0000
@@ -213,4 +213,4 @@
     [calsymbol] => CAL_JULIAN
 )
 
-Warning: cal_info(): invalid calendar ID 99999. in %s on line %d
+Warning: cal_info(): invalid calendar ID 99999 in %s on line %d
Index: ext/curl/interface.c
===================================================================
RCS file: /repository/php-src/ext/curl/interface.c,v
retrieving revision 1.90
diff -u -r1.90 interface.c
--- ext/curl/interface.c	18 Sep 2006 16:13:00 -0000	1.90
+++ ext/curl/interface.c	25 Sep 2006 08:17:52 -0000
@@ -168,7 +168,7 @@
 		} 																						\
 															\
 		if (php_memnstr(str, tmp_url->path, strlen(tmp_url->path), str + len)) {				\
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "URL '%s' contains unencoded control characters.", str);	\
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "URL '%s' contains unencoded control characters", str);	\
 			RETURN_FALSE;											\
 		}													\
 																								\
@@ -953,7 +953,7 @@
 			strlcpy(buf, Z_STRVAL_P(retval), Z_STRLEN_P(retval));
 		}
 	} else {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "User handler '%s' did not return a string.", Z_STRVAL_P(func));
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "User handler '%s' did not return a string", Z_STRVAL_P(func));
 	}
 	
 	zval_ptr_dtor(&argv[0]);
@@ -1602,7 +1602,7 @@
 	zend_hash_internal_pointer_reset_ex(Z_ARRVAL_P(arr), &pos);
 	while (zend_hash_get_current_data_ex(Z_ARRVAL_P(arr), (void **)&entry, &pos) == SUCCESS) {
 		if (zend_hash_get_current_key_ex(Z_ARRVAL_P(arr), &string_key, &str_key_len, &option, 0, &pos) == HASH_KEY_IS_STRING) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Array keys must be CURLOPT constants or equivalent interger values."); 
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Array keys must be CURLOPT constants or equivalent integer values");
 			RETURN_FALSE;
 		}
 		if (_php_curl_setopt(ch, option, entry, return_value TSRMLS_CC)) {
Index: ext/date/php_date.c
===================================================================
RCS file: /repository/php-src/ext/date/php_date.c,v
retrieving revision 1.118
diff -u -r1.118 php_date.c
--- ext/date/php_date.c	19 Sep 2006 10:38:30 -0000	1.118
+++ ext/date/php_date.c	25 Sep 2006 08:18:44 -0000
@@ -1139,7 +1139,7 @@
 
 	ret = php_idate(format[0], ts, 0);
 	if (ret == -1) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unrecognized date format token.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unrecognized date format token");
 		RETURN_FALSE;
 	}
 	RETURN_LONG(ret);
Index: ext/date/tests/005.phpt
===================================================================
RCS file: /repository/php-src/ext/date/tests/005.phpt,v
retrieving revision 1.1
diff -u -r1.1 005.phpt
--- ext/date/tests/005.phpt	27 Jun 2006 15:54:36 -0000	1.1
+++ ext/date/tests/005.phpt	25 Sep 2006 08:59:50 -0000
@@ -27,19 +27,19 @@
 Warning: idate() expects at most 2 parameters, 3 given in %s on line %d
 bool(false)
 
-Warning: idate(): Unrecognized date format token. in %s on line %d
+Warning: idate(): Unrecognized date format token in %s on line %d
 bool(false)
 
 Warning: idate(): idate format is one char in %s on line %d
 bool(false)
 
-Warning: idate(): Unrecognized date format token. in %s on line %d
+Warning: idate(): Unrecognized date format token in %s on line %d
 bool(false)
 int(41)
 
-Warning: idate(): Unrecognized date format token. in %s on line %d
+Warning: idate(): Unrecognized date format token in %s on line %d
 bool(false)
 
-Warning: idate(): Unrecognized date format token. in %s on line %d
+Warning: idate(): Unrecognized date format token in %s on line %d
 bool(false)
 Done
Index: ext/dbase/dbf_rec.c
===================================================================
RCS file: /repository/php-src/ext/dbase/dbf_rec.c,v
retrieving revision 1.10
diff -u -r1.10 dbf_rec.c
--- ext/dbase/dbf_rec.c	27 Nov 2003 10:15:20 -0000	1.10
+++ ext/dbase/dbf_rec.c	25 Sep 2006 08:19:08 -0000
@@ -137,7 +137,7 @@
 	/* Try to truncate the file to the right size. */
 	if (ftruncate(dbh->db_fd, out_off) != 0) {
 	    TSRMLS_FETCH();
-	    php_error_docref(NULL TSRMLS_CC, E_WARNING, "dbase_pack() couldn't truncate the file to the right size. Some deleted records may still be left in there.");
+	    php_error_docref(NULL TSRMLS_CC, E_WARNING, "dbase_pack() couldn't truncate the file to the right size. Some deleted records may still be left in there");
 	}
 
 	if (rec_cnt == 0)
Index: ext/dom/document.c
===================================================================
RCS file: /repository/php-src/ext/dom/document.c,v
retrieving revision 1.80
diff -u -r1.80 document.c
--- ext/dom/document.c	16 Sep 2006 19:08:59 -0000	1.80
+++ ext/dom/document.c	25 Sep 2006 08:19:30 -0000
@@ -2296,7 +2296,7 @@
 	}
 
 	if (basece == NULL || ! instanceof_function(basece, dom_node_class_entry TSRMLS_CC)) {
-		php_error_docref(NULL TSRMLS_CC, E_ERROR, "Class %s is not derived from DOMNode.", baseclass);
+		php_error_docref(NULL TSRMLS_CC, E_ERROR, "Class %s is not derived from DOMNode", baseclass);
 		return;
 	}
 
@@ -2313,11 +2313,11 @@
 		DOM_GET_OBJ(docp, id, xmlDocPtr, intern);
 
 		if (dom_set_doc_classmap(intern->document, basece, ce TSRMLS_CC) == FAILURE) {
-			php_error_docref(NULL TSRMLS_CC, E_ERROR, "Class %s could not be registered.", extendedclass);
+			php_error_docref(NULL TSRMLS_CC, E_ERROR, "Class %s could not be registered", extendedclass);
 		}
 		RETURN_TRUE;
 	} else {
-		php_error_docref(NULL TSRMLS_CC, E_ERROR, "Class %s is not derived from %s.", extendedclass, baseclass);
+		php_error_docref(NULL TSRMLS_CC, E_ERROR, "Class %s is not derived from %s", extendedclass, baseclass);
 	}
 
 	RETURN_FALSE;
Index: ext/dom/node.c
===================================================================
RCS file: /repository/php-src/ext/dom/node.c,v
retrieving revision 1.51
diff -u -r1.51 node.c
--- ext/dom/node.c	19 Sep 2006 10:38:30 -0000	1.51
+++ ext/dom/node.c	25 Sep 2006 08:19:48 -0000
@@ -1736,7 +1736,7 @@
 				if (file_type == IS_UNICODE) {
 					efree(file);
 				}
-				php_error_docref(NULL TSRMLS_CC, E_WARNING, "XPath query did not return a nodeset.");
+				php_error_docref(NULL TSRMLS_CC, E_WARNING, "XPath query did not return a nodeset");
 				RETURN_FALSE;
 			}
 		}
@@ -1835,7 +1835,7 @@
 				xmlXPathFreeObject(xpathobjp);
 			}
 			xmlXPathFreeContext(ctxp);
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "XPath query did not return a nodeset.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "XPath query did not return a nodeset");
 			RETURN_FALSE;
 		}
 	}
Index: ext/fbsql/php_fbsql.c
===================================================================
RCS file: /repository/php-src/ext/fbsql/php_fbsql.c,v
retrieving revision 1.120
diff -u -r1.120 php_fbsql.c
--- ext/fbsql/php_fbsql.c	14 Aug 2006 18:39:30 -0000	1.120
+++ ext/fbsql/php_fbsql.c	25 Sep 2006 08:21:04 -0000
@@ -907,7 +907,7 @@
 			md = fbcdcRollback(phpLink->connection);
 			if ( !mdOk(phpLink, md, "Rollback;") ) {
 				if (FB_SQL_G(generateWarnings)) {
-					php_error_docref(NULL TSRMLS_CC, E_WARNING, "FrontBase link is not connected, ty to reconnect.");
+					php_error_docref(NULL TSRMLS_CC, E_WARNING, "FrontBase link is not connected, ty to reconnect");
 				}
 				// Make sure select_db will reconnect.
 				fbcmdRelease(md);
@@ -1226,11 +1226,11 @@
 	}
 
 	if (Z_LVAL_PP(Locking) < 0 || Z_LVAL_PP(Locking) > 2) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid locking type.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid locking type");
 		RETURN_FALSE;
 	}
 	if (Z_LVAL_PP(Isolation) < 0 || Z_LVAL_PP(Isolation) > 4) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid isolation type.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid isolation type");
 		RETURN_FALSE;
 	}
 
Index: ext/ftp/ftp.c
===================================================================
RCS file: /repository/php-src/ext/ftp/ftp.c,v
retrieving revision 1.116
diff -u -r1.116 ftp.c
--- ext/ftp/ftp.c	3 Apr 2006 09:14:50 -0000	1.116
+++ ext/ftp/ftp.c	25 Sep 2006 08:22:02 -0000
@@ -810,7 +810,7 @@
 
 	if (resumepos > 0) {
 		if (resumepos > 2147483647) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "PHP cannot handle files greater than 2147483647 bytes.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "PHP cannot handle files greater than 2147483647 bytes");
 			goto bail;
 		}
 		sprintf(arg, "%u", resumepos);
@@ -907,7 +907,7 @@
 
 	if (startpos > 0) {
 		if (startpos > 2147483647) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "PHP cannot handle files with a size greater than 2147483647 bytes.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "PHP cannot handle files with a size greater than 2147483647 bytes");
 			goto bail;
 		}
 		sprintf(arg, "%u", startpos);
@@ -1598,7 +1598,7 @@
 
 
 	if ((tmpstream = php_stream_fopen_tmpfile()) == NULL) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unable to create temporary file.  Check permissions in temporary files directory.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unable to create temporary file.  Check permissions in temporary files directory");
 		return NULL;
 	}
 
@@ -1706,7 +1706,7 @@
 		 * since php is 32 bit by design, we bail out with warning
 		 */
 		if (resumepos > 2147483647) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "PHP cannot handle files greater than 2147483648 bytes.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "PHP cannot handle files greater than 2147483648 bytes");
 			goto bail;
 		}
 		sprintf(arg, "%u", resumepos);
@@ -1824,7 +1824,7 @@
 	}
 	if (startpos > 0) {
 		if (startpos > 2147483647) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "PHP cannot handle files with a size greater than 2147483647 bytes.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "PHP cannot handle files with a size greater than 2147483647 bytes");
 			goto bail;
 		}
 		sprintf(arg, "%u", startpos);
Index: ext/ftp/php_ftp.c
===================================================================
RCS file: /repository/php-src/ext/ftp/php_ftp.c,v
retrieving revision 1.107
diff -u -r1.107 php_ftp.c
--- ext/ftp/php_ftp.c	11 Jun 2006 19:59:53 -0000	1.107
+++ ext/ftp/php_ftp.c	25 Sep 2006 08:23:22 -0000
@@ -1024,7 +1024,7 @@
 	ZEND_FETCH_RESOURCE(ftp, ftpbuf_t*, &z_ftp, -1, le_ftpbuf_name, le_ftpbuf);
 
 	if (!ftp->nb) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "no nbronous transfer to continue.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "no nbronous transfer to continue");
 		RETURN_LONG(PHP_FTP_FAILED);
 	}
 
Index: ext/hash/hash.c
===================================================================
RCS file: /repository/php-src/ext/hash/hash.c,v
retrieving revision 1.31
diff -u -r1.31 hash.c
--- ext/hash/hash.c	20 Sep 2006 01:48:06 -0000	1.31
+++ ext/hash/hash.c	25 Sep 2006 08:24:38 -0000
@@ -85,7 +85,7 @@
 			}
 		} else {
 			/* Unicode string passed for raw hashing */
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unicode strings can not be hashed.  Convert to a binary type.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unicode strings cannot be hashed.  Convert to a binary type");
 			RETURN_FALSE;
 		}
 	}
@@ -186,7 +186,7 @@
 			}
 		} else {
 			/* Unicode string passed for raw hashing */
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unicode strings can not be hashed.  Convert to a binary type.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unicode strings cannot be hashed.  Convert to a binary type");
 			RETURN_FALSE;
 		}
 	}
Index: ext/iconv/iconv.c
===================================================================
RCS file: /repository/php-src/ext/iconv/iconv.c,v
retrieving revision 1.145
diff -u -r1.145 iconv.c
--- ext/iconv/iconv.c	12 Sep 2006 17:26:24 -0000	1.145
+++ ext/iconv/iconv.c	25 Sep 2006 08:24:52 -0000
@@ -2007,7 +2007,7 @@
 	}
 
 	if (offset < 0) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Offset not contained in string.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Offset not contained in string");
 		RETURN_FALSE;
 	}
 
Index: ext/imap/php_imap.c
===================================================================
RCS file: /repository/php-src/ext/imap/php_imap.c,v
retrieving revision 1.224
diff -u -r1.224 php_imap.c
--- ext/imap/php_imap.c	24 Sep 2006 18:06:53 -0000	1.224
+++ ext/imap/php_imap.c	25 Sep 2006 08:25:40 -0000
@@ -3216,7 +3216,7 @@
 	}
 
 	if (bod && bod->type == TYPEMULTIPART && (!bod->nested.part || !bod->nested.part->next)) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "cannot generate multipart e-mail without components.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "cannot generate multipart e-mail without components");
 		RETVAL_FALSE;
 		goto done;
 	}
Index: ext/ldap/ldap.c
===================================================================
RCS file: /repository/php-src/ext/ldap/ldap.c,v
retrieving revision 1.166
diff -u -r1.166 ldap.c
--- ext/ldap/ldap.c	13 Jun 2006 13:12:18 -0000	1.166
+++ ext/ldap/ldap.c	25 Sep 2006 08:26:04 -0000
@@ -893,11 +893,11 @@
 		RETVAL_FALSE; 
 	} else {
 		if (errno == LDAP_SIZELIMIT_EXCEEDED) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Partial search results returned: Sizelimit exceeded.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Partial search results returned: Sizelimit exceeded");
 		}
 #ifdef LDAP_ADMINLIMIT_EXCEEDED
 		else if (errno == LDAP_ADMINLIMIT_EXCEEDED) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Partial search results returned: Adminlimit exceeded.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Partial search results returned: Adminlimit exceeded");
 		}
 #endif
 		
Index: ext/mbstring/mbstring.c
===================================================================
RCS file: /repository/php-src/ext/mbstring/mbstring.c,v
retrieving revision 1.261
diff -u -r1.261 mbstring.c
--- ext/mbstring/mbstring.c	5 Sep 2006 12:32:13 -0000	1.261
+++ ext/mbstring/mbstring.c	25 Sep 2006 08:28:18 -0000
@@ -967,14 +967,14 @@
 				zend_hash_find(EG(function_table), p->ovld_func, strlen(p->ovld_func)+1 , (void **)&func);
 				
 				if (zend_hash_find(EG(function_table), p->orig_func, strlen(p->orig_func)+1, (void **)&orig) != SUCCESS) {
-					php_error_docref("ref.mbstring" TSRMLS_CC, E_WARNING, "mbstring couldn't find function %s.", p->orig_func);
+					php_error_docref("ref.mbstring" TSRMLS_CC, E_WARNING, "mbstring couldn't find function %s", p->orig_func);
 					return FAILURE;
 				} else {
 					zend_hash_add(EG(function_table), p->save_func, strlen(p->save_func)+1, orig, sizeof(zend_function), NULL);
 
 					if (zend_hash_update(EG(function_table), p->orig_func, strlen(p->orig_func)+1, func, sizeof(zend_function), 
 						NULL) == FAILURE) {
-						php_error_docref("ref.mbstring" TSRMLS_CC, E_WARNING, "mbstring couldn't replace function %s.", p->orig_func);
+						php_error_docref("ref.mbstring" TSRMLS_CC, E_WARNING, "mbstring couldn't replace function %s", p->orig_func);
 						return FAILURE;
 					}
 				}
@@ -1341,7 +1341,7 @@
 					MBSTRG(current_filter_illegal_mode) = MBFL_OUTPUTFILTER_ILLEGAL_MODE_CHAR;
 					MBSTRG(current_filter_illegal_substchar) = Z_LVAL_PP(arg1);
 				} else {
-					php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unknown character.");					  
+					php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unknown character");
 					RETVAL_FALSE;					
 				}
 			}
@@ -1352,7 +1352,7 @@
 				MBSTRG(current_filter_illegal_mode) = MBFL_OUTPUTFILTER_ILLEGAL_MODE_CHAR;
 				MBSTRG(current_filter_illegal_substchar) = Z_LVAL_PP(arg1);
 			} else {
-				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unknown character.");
+				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unknown character");
 				RETVAL_FALSE;
 			}
 			break;
@@ -1615,16 +1615,16 @@
 		case 1:
 			break;
 		case 2:
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Needle has not positive length.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Needle has non-positive length");
 			break;
 		case 4:
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unknown encoding or conversion error.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unknown encoding or conversion error");
 			break;
 		case 8:
-			php_error_docref(NULL TSRMLS_CC, E_NOTICE, "Argument is empty.");
+			php_error_docref(NULL TSRMLS_CC, E_NOTICE, "Argument is empty");
 			break;
 		default:
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unknown error in mb_strpos.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unknown error in mb_strpos");
 			break;			
 		}
 		RETVAL_FALSE;
Index: ext/mcrypt/mcrypt.c
===================================================================
RCS file: /repository/php-src/ext/mcrypt/mcrypt.c,v
retrieving revision 1.99
diff -u -r1.99 mcrypt.c
--- ext/mcrypt/mcrypt.c	26 Jun 2006 11:31:19 -0000	1.99
+++ ext/mcrypt/mcrypt.c	25 Sep 2006 08:28:56 -0000
@@ -226,7 +226,7 @@
 
 #define PHP_MCRYPT_INIT_CHECK	\
 	if (!pm->init) {	\
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Operation disallowed prior to mcrypt_generic_init().");	\
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Operation disallowed prior to mcrypt_generic_init()");	\
 		RETURN_FALSE;	\
 	}	\
 
Index: ext/mcrypt/tests/bug35496.phpt
===================================================================
RCS file: /repository/php-src/ext/mcrypt/tests/bug35496.phpt,v
retrieving revision 1.2
diff -u -r1.2 bug35496.phpt
--- ext/mcrypt/tests/bug35496.phpt	30 Nov 2005 23:53:47 -0000	1.2
+++ ext/mcrypt/tests/bug35496.phpt	25 Sep 2006 09:00:00 -0000
@@ -9,6 +9,6 @@
 mdecrypt_generic($td, "baz");
 ?>
 --EXPECTF--
-Warning: mcrypt_generic(): Operation disallowed prior to mcrypt_generic_init(). in %s/bug35496.php on line 3
+Warning: mcrypt_generic(): Operation disallowed prior to mcrypt_generic_init() in %s/bug35496.php on line 3
 
-Warning: mdecrypt_generic(): Operation disallowed prior to mcrypt_generic_init(). in %s/bug35496.php on line 4
+Warning: mdecrypt_generic(): Operation disallowed prior to mcrypt_generic_init() in %s/bug35496.php on line 4
Index: ext/mime_magic/mime_magic.c
===================================================================
RCS file: /repository/php-src/ext/mime_magic/mime_magic.c,v
retrieving revision 1.49
diff -u -r1.49 mime_magic.c
--- ext/mime_magic/mime_magic.c	13 Jun 2006 13:12:18 -0000	1.49
+++ ext/mime_magic/mime_magic.c	25 Sep 2006 08:32:52 -0000
@@ -1228,7 +1228,7 @@
 		break;
     default:
 		if(MIME_MAGIC_G(debug))
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "invalid mode 0%o.", (unsigned int)stat_ssb.sb.st_mode);
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "invalid mode 0%o", (unsigned int)stat_ssb.sb.st_mode);
 		return MIME_MAGIC_ERROR;
     }
 
@@ -1631,7 +1631,7 @@
     default:
 		/*  bogosity, pretend that it just wasn't a match */
 		if(MIME_MAGIC_G(debug))
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "invalid type %d in mcheck().", m->type);
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "invalid type %d in mcheck()", m->type);
 		return 0;
     }
 
@@ -1680,7 +1680,7 @@
 		/* bogosity, pretend it didn't match */
 		matched = 0;
 		if(MIME_MAGIC_G(debug))
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "mcheck: can't happen: invalid relation %d.", m->reln);
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "mcheck: can't happen: invalid relation %d", m->reln);
 		break;
     }
 
@@ -1765,7 +1765,7 @@
     	{
     		TSRMLS_FETCH();
 			if(MIME_MAGIC_G(debug))
-				php_error_docref(NULL TSRMLS_CC, E_WARNING, "invalid m->type (%d) in mprint().", m->type);
+				php_error_docref(NULL TSRMLS_CC, E_WARNING, "invalid m->type (%d) in mprint()", m->type);
 			return;
 		}
     }
@@ -1813,7 +1813,7 @@
     	{
     		TSRMLS_FETCH();
 			if(MIME_MAGIC_G(debug))
-				php_error_docref(NULL TSRMLS_CC, E_WARNING, "invalid type %d in mconvert().", m->type);
+				php_error_docref(NULL TSRMLS_CC, E_WARNING, "invalid type %d in mconvert()", m->type);
 			return 0;
 		}
     }
Index: ext/mysql/php_mysql.c
===================================================================
RCS file: /repository/php-src/ext/mysql/php_mysql.c,v
retrieving revision 1.225
diff -u -r1.225 php_mysql.c
--- ext/mysql/php_mysql.c	2 Aug 2006 10:04:02 -0000	1.225
+++ ext/mysql/php_mysql.c	25 Sep 2006 08:37:10 -0000
@@ -1240,9 +1240,9 @@
     			mysql_result = mysql_use_result(&mysql->conn);
 				while ((row = mysql_fetch_row(mysql_result))) {
 					if (!strcmp("ALL", row[1])) {
-						php_error_docref("http://www.mysql.com/doc" TSRMLS_CC, E_WARNING, "Your query requires a full tablescan (table %s, %s rows affected). Use EXPLAIN to optimize your query.", row[0], row[6]);
+						php_error_docref("http://www.mysql.com/doc" TSRMLS_CC, E_WARNING, "Your query requires a full tablescan (table %s, %s rows affected). Use EXPLAIN to optimize your query", row[0], row[6]);
 					} else if (!strcmp("INDEX", row[1])) {
-						php_error_docref("http://www.mysql.com/doc" TSRMLS_CC, E_WARNING, "Your query requires a full indexscan (table %s, %s rows affected). Use EXPLAIN to optimize your query.", row[0], row[6]);
+						php_error_docref("http://www.mysql.com/doc" TSRMLS_CC, E_WARNING, "Your query requires a full indexscan (table %s, %s rows affected). Use EXPLAIN to optimize your query", row[0], row[6]);
 					}
 				}
 				mysql_free_result(mysql_result);
@@ -1368,7 +1368,7 @@
 
 	/* FIXME: Unicode support??? */
 	if (MySG(trace_mode) || !strcasecmp(get_active_function_name(TSRMLS_C).s, "mysql")) {
-		php_error_docref(NULL TSRMLS_CC, E_NOTICE, "This function is deprecated; use mysql_query() instead.");
+		php_error_docref(NULL TSRMLS_CC, E_NOTICE, "This function is deprecated; use mysql_query() instead");
 	}
 	
 	php_mysql_do_query_general(query, mysql_link, id, db, MYSQL_STORE_RESULT, return_value TSRMLS_CC);
@@ -1667,7 +1667,7 @@
 	Z_TYPE_P(return_value) = IS_STRING;
 
 	if (MySG(trace_mode)){
-		php_error_docref("function.mysql-real-escape-string" TSRMLS_CC, E_WARNING, "This function is deprecated; use mysql_real_escape_string() instead.");
+		php_error_docref("function.mysql-real-escape-string" TSRMLS_CC, E_WARNING, "This function is deprecated; use mysql_real_escape_string() instead");
 	}
 
 }
@@ -1930,7 +1930,7 @@
 	}
 
 	if ((result_type & MYSQL_BOTH) == 0) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "The result type should be either MYSQL_NUM, MYSQL_ASSOC or MYSQL_BOTH.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "The result type should be either MYSQL_NUM, MYSQL_ASSOC or MYSQL_BOTH");
 	}
 	
 	ZEND_FETCH_RESOURCE(mysql_result, MYSQL_RES *, result, -1, "MySQL result", le_result);
Index: ext/mysqli/mysqli_api.c
===================================================================
RCS file: /repository/php-src/ext/mysqli/mysqli_api.c,v
retrieving revision 1.130
diff -u -r1.130 mysqli_api.c
--- ext/mysqli/mysqli_api.c	4 Aug 2006 22:14:10 -0000	1.130
+++ ext/mysqli/mysqli_api.c	25 Sep 2006 08:37:28 -0000
@@ -239,7 +239,7 @@
 	var_cnt = argc - start;
 
 	if (var_cnt != mysql_stmt_field_count(stmt->stmt)) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Number of bind variables doesn't match number of fields in prepared statement.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Number of bind variables doesn't match number of fields in prepared statement");
 		efree(args);
 		RETURN_FALSE;
 	}
Index: ext/oci8/oci8_lob.c
===================================================================
RCS file: /repository/php-src/ext/oci8/oci8_lob.c,v
retrieving revision 1.18
diff -u -r1.18 oci8_lob.c
--- ext/oci8/oci8_lob.c	22 Aug 2006 11:08:28 -0000	1.18
+++ ext/oci8/oci8_lob.c	25 Sep 2006 08:37:42 -0000
@@ -62,7 +62,7 @@
 			/* these three are allowed */
 			break;
 		default:
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unknown descriptor type %ld.", type);
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unknown descriptor type %ld", type);
 			return NULL;
 			break;
 	}
Index: ext/openssl/openssl.c
===================================================================
RCS file: /repository/php-src/ext/openssl/openssl.c,v
retrieving revision 1.124
diff -u -r1.124 openssl.c
--- ext/openssl/openssl.c	16 Sep 2006 12:05:42 -0000	1.124
+++ ext/openssl/openssl.c	25 Sep 2006 08:38:02 -0000
@@ -2988,7 +2988,7 @@
 
 	mdtype = php_openssl_get_evp_md_from_algo(signature_algo);
 	if (!mdtype) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unknown signature algorithm.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unknown signature algorithm");
 		RETURN_FALSE;
 	}
 
@@ -3032,7 +3032,7 @@
 
 	mdtype = php_openssl_get_evp_md_from_algo(signature_algo);
 	if (!mdtype) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unknown signature algorithm.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unknown signature algorithm");
 		RETURN_FALSE;
 	}
 
Index: ext/pcre/php_pcre.c
===================================================================
RCS file: /repository/php-src/ext/pcre/php_pcre.c,v
retrieving revision 1.203
diff -u -r1.203 php_pcre.c
--- ext/pcre/php_pcre.c	19 Sep 2006 20:41:56 -0000	1.203
+++ ext/pcre/php_pcre.c	25 Sep 2006 08:38:20 -0000
@@ -1373,7 +1373,7 @@
 	}
 
 	if (!is_callable_replace && Z_TYPE_P(replace) == IS_ARRAY && Z_TYPE_P(regex) != IS_ARRAY) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Parameter mismatch, pattern is a string while replacement in an array.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Parameter mismatch, pattern is a string while replacement in an array");
 		RETURN_FALSE;
 	}
 
Index: ext/pcre/tests/preg_replace2.phpt
===================================================================
RCS file: /repository/php-src/ext/pcre/tests/preg_replace2.phpt,v
retrieving revision 1.3
diff -u -r1.3 preg_replace2.phpt
--- ext/pcre/tests/preg_replace2.phpt	19 Sep 2006 11:49:21 -0000	1.3
+++ ext/pcre/tests/preg_replace2.phpt	25 Sep 2006 09:00:24 -0000
@@ -16,7 +16,7 @@
 
 ?>
 --EXPECTF--
-Warning: preg_replace(): Parameter mismatch, pattern is a string while replacement in an array. in %spreg_replace2.php on line 3
+Warning: preg_replace(): Parameter mismatch, pattern is a string while replacement in an array in %spreg_replace2.php on line 3
 bool(false)
 string(1) "c"
 array(3) {
@@ -41,7 +41,7 @@
 }
 ==done==
 --UEXPECTF--
-Warning: preg_replace(): Parameter mismatch, pattern is a string while replacement in an array. in %s on line %d
+Warning: preg_replace(): Parameter mismatch, pattern is a string while replacement in an array in %s on line %d
 bool(false)
 unicode(1) "c"
 array(3) {
Index: ext/pdo/pdo_dbh.c
===================================================================
RCS file: /repository/php-src/ext/pdo/pdo_dbh.c,v
retrieving revision 1.135
diff -u -r1.135 pdo_dbh.c
--- ext/pdo/pdo_dbh.c	21 Aug 2006 16:54:05 -0000	1.135
+++ ext/pdo/pdo_dbh.c	25 Sep 2006 08:40:04 -0000
@@ -1151,7 +1151,7 @@
 	}
 
 	if (!(dbh->cls_methods[kind] = pemalloc(sizeof(HashTable), dbh->is_persistent))) {
-		php_error_docref(NULL TSRMLS_CC, E_ERROR, "out of memory while allocating PDO methods.");
+		php_error_docref(NULL TSRMLS_CC, E_ERROR, "out of memory while allocating PDO methods");
 	}
 	zend_hash_init_ex(dbh->cls_methods[kind], 8, NULL, NULL, dbh->is_persistent, 0);
 
Index: ext/pspell/pspell.c
===================================================================
RCS file: /repository/php-src/ext/pspell/pspell.c,v
retrieving revision 1.51
diff -u -r1.51 pspell.c
--- ext/pspell/pspell.c	14 Aug 2006 14:54:19 -0000	1.51
+++ ext/pspell/pspell.c	25 Sep 2006 08:41:42 -0000
@@ -224,7 +224,7 @@
 	delete_pspell_config(config);
 
 	if(pspell_error_number(ret) != 0){
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "PSPELL couldn't open the dictionary. reason: %s ", pspell_error_message(ret));
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "PSPELL couldn't open the dictionary. reason: %s", pspell_error_message(ret));
 		RETURN_FALSE;
 	}
 	
@@ -336,7 +336,7 @@
 	delete_pspell_config(config);
 
 	if(pspell_error_number(ret) != 0){
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "PSPELL couldn't open the dictionary. reason: %s ", pspell_error_message(ret));
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "PSPELL couldn't open the dictionary. reason: %s", pspell_error_message(ret));
 		RETURN_FALSE;
 	}
 	
@@ -369,7 +369,7 @@
 	ret = new_pspell_manager(config);
 
 	if(pspell_error_number(ret) != 0){
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "PSPELL couldn't open the dictionary. reason: %s ", pspell_error_message(ret));
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "PSPELL couldn't open the dictionary. reason: %s", pspell_error_message(ret));
 		RETURN_FALSE;
 	}
 	
@@ -434,7 +434,7 @@
 		}
 		delete_pspell_string_emulation(els);
 	}else{
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "PSPELL had a problem. details: %s ", pspell_manager_error_message(manager));
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "PSPELL had a problem. details: %s", pspell_manager_error_message(manager));
 		RETURN_FALSE;
 	}
 }
Index: ext/recode/recode.c
===================================================================
RCS file: /repository/php-src/ext/recode/recode.c,v
retrieving revision 1.39
diff -u -r1.39 recode.c
--- ext/recode/recode.c	13 Jun 2006 13:12:19 -0000	1.39
+++ ext/recode/recode.c	25 Sep 2006 08:41:54 -0000
@@ -154,7 +154,7 @@
 	
 	recode_buffer_to_buffer(request, str, str_len, &r, &r_len, &r_alen);
 	if (!r) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Recoding failed.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Recoding failed");
 error_exit:
 		RETVAL_FALSE;
 	} else {
@@ -207,7 +207,7 @@
 	}
 	
 	if (!recode_file_to_file(request, in_fp, out_fp)) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Recoding failed.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Recoding failed");
 		goto error_exit;
 	}
 
Index: ext/session/session.c
===================================================================
RCS file: /repository/php-src/ext/session/session.c,v
retrieving revision 1.451
diff -u -r1.451 session.c
--- ext/session/session.c	19 Sep 2006 10:38:30 -0000	1.451
+++ ext/session/session.c	25 Sep 2006 08:43:02 -0000
@@ -86,7 +86,7 @@
 
 #define SESSION_CHECK_ACTIVE_STATE	\
 	if (PS(session_status) == php_session_active) {	\
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "A session is active. You cannot change the session module's ini settings at this time.");	\
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "A session is active. You cannot change the session module's ini settings at this time");	\
 		return FAILURE;	\
 	}	\
 
@@ -500,13 +500,13 @@
 
 	IF_SESSION_VARS() {
 		if (!PS(serializer)) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unknown session.serialize_handler. Failed to encode session object.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unknown session.serialize_handler. Failed to encode session object");
 			ret = NULL;
 		}
 		else if (PS(serializer)->encode(&ret, newlen TSRMLS_CC) == FAILURE)
 			ret = NULL;
 	} else {
-		 php_error_docref(NULL TSRMLS_CC, E_WARNING, "Cannot encode non-existent session.");
+		 php_error_docref(NULL TSRMLS_CC, E_WARNING, "Cannot encode non-existent session");
 	}
 
 	return ret;
@@ -515,12 +515,12 @@
 static void php_session_decode(const char *val, int vallen TSRMLS_DC)
 {
 	if (!PS(serializer)) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unknown session.serialize_handler. Failed to decode session object.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unknown session.serialize_handler. Failed to decode session object");
 		return;
 	}
 	if (PS(serializer)->decode(val, vallen TSRMLS_CC) == FAILURE) {
 		php_session_destroy(TSRMLS_C);
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Failed to decode session object. Session has been destroyed.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Failed to decode session object. Session has been destroyed");
 	}
 }
 
@@ -683,7 +683,7 @@
 	}
 
 	if (!PS(mod)) {
-		php_error_docref(NULL TSRMLS_CC, E_ERROR, "No storage module chosen - failed to initialize session.");
+		php_error_docref(NULL TSRMLS_CC, E_ERROR, "No storage module chosen - failed to initialize session");
 		return;
 	}
 
@@ -746,7 +746,7 @@
 		case HASH_KEY_IS_LONG:
 			php_error_docref(NULL TSRMLS_CC, E_NOTICE, "The session bug compatibility code will not "
 					"try to locate the global variable $%lu due to its "
-					"numeric nature.", num_key);
+					"numeric nature", num_key);
 			break;
 	}
 	
Index: ext/session/tests/014.phpt
===================================================================
RCS file: /repository/php-src/ext/session/tests/014.phpt,v
retrieving revision 1.9
diff -u -r1.9 014.phpt
--- ext/session/tests/014.phpt	10 Apr 2006 15:06:51 -0000	1.9
+++ ext/session/tests/014.phpt	25 Sep 2006 09:00:38 -0000
@@ -32,8 +32,8 @@
 --EXPECTF--
 <a href="/link?PHPSESSID=abtest">
 
-Warning: ini_set(): A session is active. You cannot change the session module's ini settings at this time. in %s on line %d
+Warning: ini_set(): A session is active. You cannot change the session module's ini settings at this time in %s on line %d
 <a href="/link?PHPSESSID=abtest">
 
-Warning: ini_set(): A session is active. You cannot change the session module's ini settings at this time. in %s on line %d
+Warning: ini_set(): A session is active. You cannot change the session module's ini settings at this time in %s on line %d
 <a href="/link?PHPSESSID=abtest">
Index: ext/soap/soap.c
===================================================================
RCS file: /repository/php-src/ext/soap/soap.c,v
retrieving revision 1.211
diff -u -r1.211 soap.c
--- ext/soap/soap.c	22 Sep 2006 13:39:17 -0000	1.211
+++ ext/soap/soap.c	25 Sep 2006 08:44:42 -0000
@@ -897,7 +897,7 @@
 		php_error_docref(NULL TSRMLS_CC, E_ERROR, "Invalid parameters");
 	}
 	if (name_length == 0) {
-		php_error_docref(NULL TSRMLS_CC, E_ERROR, "Invalid parameters. Invalid parameter name.");
+		php_error_docref(NULL TSRMLS_CC, E_ERROR, "Invalid parameters. Invalid parameter name");
 	}
 
 	if (name_type == IS_STRING) {
@@ -926,10 +926,10 @@
 		php_error_docref(NULL TSRMLS_CC, E_ERROR, "Invalid parameters");
 	}
 	if (ns_len == 0) {
-		php_error_docref(NULL TSRMLS_CC, E_ERROR, "Invalid parameters. Invalid namespace.");
+		php_error_docref(NULL TSRMLS_CC, E_ERROR, "Invalid parameters. Invalid namespace");
 	}
 	if (name_len == 0) {
-		php_error_docref(NULL TSRMLS_CC, E_ERROR, "Invalid parameters. Invalid header name.");
+		php_error_docref(NULL TSRMLS_CC, E_ERROR, "Invalid parameters. Invalid header name");
 	}
 
 	if (ns_type == IS_STRING) {
@@ -957,7 +957,7 @@
 	} else if (Z_TYPE_P(actor) == IS_UNICODE && Z_USTRLEN_P(actor) > 0) {
 		add_property_unicodel(this_ptr, "actor", Z_USTRVAL_P(actor), Z_USTRLEN_P(actor), 1);
 	} else {
-		php_error_docref(NULL TSRMLS_CC, E_ERROR, "Invalid parameters. Invalid actor.");
+		php_error_docref(NULL TSRMLS_CC, E_ERROR, "Invalid parameters. Invalid actor");
 	}
 }
 
@@ -998,13 +998,13 @@
 			fault_code_ns = soap_encode_string(*t_ns, NULL TSRMLS_CC);
 			fault_code = soap_encode_string(*t_code, NULL TSRMLS_CC);
 		} else {
-			php_error_docref(NULL TSRMLS_CC, E_ERROR, "Invalid parameters. Invalid fault code.");
+			php_error_docref(NULL TSRMLS_CC, E_ERROR, "Invalid parameters. Invalid fault code");
 		}
 	} else  {
-		php_error_docref(NULL TSRMLS_CC, E_ERROR, "Invalid parameters. Invalid fault code.");
+		php_error_docref(NULL TSRMLS_CC, E_ERROR, "Invalid parameters. Invalid fault code");
 	}
 	if (fault_code != NULL && !fault_code[0]) {
-		php_error_docref(NULL TSRMLS_CC, E_ERROR, "Invalid parameters. Invalid fault code.");
+		php_error_docref(NULL TSRMLS_CC, E_ERROR, "Invalid parameters. Invalid fault code");
 	}
 	if (name.v != NULL && name_len == 0) {
 		name.v = NULL;
@@ -1352,7 +1352,7 @@
 			}
 			encoding = xmlFindCharEncodingHandler(str);
 			if (encoding == NULL) {
-				php_error_docref(NULL TSRMLS_CC, E_ERROR, "Invalid arguments. Invalid 'encoding' option - '%v'.", Z_TYPE_PP(tmp), Z_UNIVAL_PP(tmp));
+				php_error_docref(NULL TSRMLS_CC, E_ERROR, "Invalid arguments. Invalid 'encoding' option - '%v'", Z_TYPE_PP(tmp), Z_UNIVAL_PP(tmp));
 			} else {
 				service->encoding = encoding;
 			}
@@ -1388,7 +1388,7 @@
 	}
 
 	if (wsdl == NULL && service->uri == NULL) {
-		php_error_docref(NULL TSRMLS_CC, E_ERROR, "Invalid arguments. 'uri' option is required in nonWSDL mode.");
+		php_error_docref(NULL TSRMLS_CC, E_ERROR, "Invalid arguments. 'uri' option is required in nonWSDL mode");
 		return;
 	}
 
@@ -2678,7 +2678,7 @@
 			}
 			encoding = xmlFindCharEncodingHandler(str);
 			if (encoding == NULL) {
-				php_error_docref(NULL TSRMLS_CC, E_ERROR, "Invalid arguments. Invalid 'encoding' option - '%v'.", Z_TYPE_PP(tmp), Z_UNIVAL_PP(tmp));
+				php_error_docref(NULL TSRMLS_CC, E_ERROR, "Invalid arguments. Invalid 'encoding' option - '%v'", Z_TYPE_PP(tmp), Z_UNIVAL_PP(tmp));
 			} else {
 				client->encoding = encoding;
 			}
Index: ext/soap/tests/bugs/bug31755.phpt
===================================================================
RCS file: /repository/php-src/ext/soap/tests/bugs/bug31755.phpt,v
retrieving revision 1.4
diff -u -r1.4 bug31755.phpt
--- ext/soap/tests/bugs/bug31755.phpt	13 Jul 2006 16:47:25 -0000	1.4
+++ ext/soap/tests/bugs/bug31755.phpt	25 Sep 2006 09:01:00 -0000
@@ -14,4 +14,4 @@
 print $client->__getLastRequest();
 ?>
 --EXPECTF--
-Fatal error: SoapHeader::__construct(): Invalid parameters. Invalid namespace. in %s on line %d
+Fatal error: SoapHeader::__construct(): Invalid parameters. Invalid namespace in %s on line %d
Index: ext/sockets/sockets.c
===================================================================
RCS file: /repository/php-src/ext/sockets/sockets.c,v
retrieving revision 1.182
diff -u -r1.182 sockets.c
--- ext/sockets/sockets.c	31 Aug 2006 16:14:43 -0000	1.182
+++ ext/sockets/sockets.c	25 Sep 2006 08:45:02 -0000
@@ -397,7 +397,7 @@
 
 #else
 		/* No IPv6 specific hostname resolution is available on this system? */
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Host lookup failed: getaddrinfo() not available on this system.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Host lookup failed: getaddrinfo() not available on this system");
 		return 0;
 #endif
 
Index: ext/sqlite/sqlite.c
===================================================================
RCS file: /repository/php-src/ext/sqlite/sqlite.c,v
retrieving revision 1.197
diff -u -r1.197 sqlite.c
--- ext/sqlite/sqlite.c	19 Sep 2006 10:38:31 -0000	1.197
+++ ext/sqlite/sqlite.c	25 Sep 2006 08:45:28 -0000
@@ -126,7 +126,7 @@
 
 #define PHP_SQLITE_EMPTY_QUERY \
 	if (!sql_len) { \
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Cannot execute empty query."); \
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Cannot execute empty query"); \
 		RETURN_FALSE; \
 	}
 
Index: ext/standard/array.c
===================================================================
RCS file: /repository/php-src/ext/standard/array.c,v
retrieving revision 1.386
diff -u -r1.386 array.c
--- ext/standard/array.c	20 Sep 2006 20:30:19 -0000	1.386
+++ ext/standard/array.c	25 Sep 2006 07:58:58 -0000
@@ -599,7 +599,7 @@
 /* check if comparison function is valid */
 #define PHP_ARRAY_CMP_FUNC_CHECK(func_name)	\
 	if (!zend_is_callable(*func_name, 0, NULL)) {	\
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid comparison function.");	\
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid comparison function");	\
         BG(user_compare_fci) = old_user_compare_fci; \
         BG(user_compare_fci_cache) = old_user_compare_fci_cache; \
 		RETURN_FALSE;	\
@@ -3000,7 +3000,7 @@
 			fci_key = &fci2;
 			fci_key_cache = &fci2_cache;
 		} else {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "data_compare_type is %d. key_compare_type is %d. This should never happen. Please report as a bug.", data_compare_type, key_compare_type);
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "data_compare_type is %d. key_compare_type is %d. This should never happen. Please report as a bug", data_compare_type, key_compare_type);
 			return;
 		}
 
Index: ext/standard/basic_functions.c
===================================================================
RCS file: /repository/php-src/ext/standard/basic_functions.c,v
retrieving revision 1.805
diff -u -r1.805 basic_functions.c
--- ext/standard/basic_functions.c	22 Sep 2006 01:55:47 -0000	1.805
+++ ext/standard/basic_functions.c	25 Sep 2006 07:59:44 -0000
@@ -4427,7 +4427,7 @@
 		}
 	}
 
-	php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid parameter syntax.");
+	php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid parameter syntax");
 	RETURN_FALSE;
 }
 /* }}} */
@@ -4741,7 +4741,7 @@
 
 	c_ts = (double)(d_ts - tm.tv_sec - tm.tv_usec / 1000000.00);
 	if (c_ts < 0) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Sleep until to time is less than current time.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Sleep until to time is less than current time");
 		RETURN_FALSE;
 	}
 
@@ -6228,11 +6228,11 @@
 
 	if (!prefix_len) {
 		if (!hash_key->nKeyLength) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Numeric key detected - possible security hazard.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Numeric key detected - possible security hazard");
 			return 0;
 		} else if (hash_key->nKeyLength == sizeof("GLOBALS") &&
 		           ZEND_U_EQUAL(hash_key->type, hash_key->arKey, hash_key->nKeyLength-1, "GLOBALS", sizeof("GLOBALS")-1)) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Attempted GLOBALS variable overwrite.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Attempted GLOBALS variable overwrite");
 			return 0; 
 		}
 	}
Index: ext/standard/browscap.c
===================================================================
RCS file: /repository/php-src/ext/standard/browscap.c,v
retrieving revision 1.87
diff -u -r1.87 browscap.c
--- ext/standard/browscap.c	1 Jan 2006 13:09:54 -0000	1.87
+++ ext/standard/browscap.c	25 Sep 2006 08:00:00 -0000
@@ -290,7 +290,7 @@
 	char *browscap = INI_STR("browscap");
 
 	if (!browscap || !browscap[0]) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "browscap ini directive not set.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "browscap ini directive not set");
 		RETURN_FALSE;
 	}
 
Index: ext/standard/dl.c
===================================================================
RCS file: /repository/php-src/ext/standard/dl.c,v
retrieving revision 1.109
diff -u -r1.109 dl.c
--- ext/standard/dl.c	16 Mar 2006 16:53:09 -0000	1.109
+++ ext/standard/dl.c	25 Sep 2006 08:00:20 -0000
@@ -141,7 +141,7 @@
 
 	if (!get_module) {
 		DL_UNLOAD(handle);
-		php_error_docref(NULL TSRMLS_CC, error_type, "Invalid library (maybe not a PHP library) '%s' ", Z_STRVAL_P(file));
+		php_error_docref(NULL TSRMLS_CC, error_type, "Invalid library (maybe not a PHP library) '%s'", Z_STRVAL_P(file));
 		RETURN_FALSE;
 	}
 	module_entry = get_module();
Index: ext/standard/exec.c
===================================================================
RCS file: /repository/php-src/ext/standard/exec.c,v
retrieving revision 1.121
diff -u -r1.121 exec.c
--- ext/standard/exec.c	24 Sep 2006 17:03:58 -0000	1.121
+++ ext/standard/exec.c	25 Sep 2006 08:00:38 -0000
@@ -485,7 +485,7 @@
 	errno = 0;
 	nice(pri);
 	if (errno) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Only a super user may attempt to increase the priority of a process.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Only a super user may attempt to increase the priority of a process");
 		RETURN_FALSE;
 	}
 	
Index: ext/standard/file.c
===================================================================
RCS file: /repository/php-src/ext/standard/file.c,v
retrieving revision 1.457
diff -u -r1.457 file.c
--- ext/standard/file.c	24 Sep 2006 21:40:44 -0000	1.457
+++ ext/standard/file.c	25 Sep 2006 08:01:52 -0000
@@ -570,7 +570,7 @@
 	}
 
 	if (offset > 0 && php_stream_seek(stream, offset, SEEK_SET) < 0) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Failed to seek to position %ld in the stream.", offset);
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Failed to seek to position %ld in the stream", offset);
 		RETURN_FALSE;
 	}
 
Index: ext/standard/filters.c
===================================================================
RCS file: /repository/php-src/ext/standard/filters.c,v
retrieving revision 1.58
diff -u -r1.58 filters.c
--- ext/standard/filters.c	4 Sep 2006 19:16:21 -0000	1.58
+++ ext/standard/filters.c	25 Sep 2006 08:02:40 -0000
@@ -1961,7 +1961,7 @@
 	/* Create this filter */
 	data = pecalloc(1, sizeof(php_consumed_filter_data), persistent);
 	if (!data) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Failed allocating %zd bytes.", sizeof(php_consumed_filter_data));
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Failed allocating %zd bytes", sizeof(php_consumed_filter_data));
 		return NULL;
 	}
 	data->persistent = persistent;
Index: ext/standard/http.c
===================================================================
RCS file: /repository/php-src/ext/standard/http.c,v
retrieving revision 1.22
diff -u -r1.22 http.c
--- ext/standard/http.c	24 Jul 2006 17:55:41 -0000	1.22
+++ ext/standard/http.c	25 Sep 2006 08:05:28 -0000
@@ -80,7 +80,7 @@
 		}
 
 		if (zend_hash_get_current_data_ex(ht, (void **)&zdata, NULL) == FAILURE || !zdata || !(*zdata)) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Error traversing form data array.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Error traversing form data array");
 			return FAILURE;
 		}
 		if (Z_TYPE_PP(zdata) == IS_ARRAY || Z_TYPE_PP(zdata) == IS_OBJECT) {
@@ -207,7 +207,7 @@
 	}
 
 	if (Z_TYPE_P(formdata) != IS_ARRAY && Z_TYPE_P(formdata) != IS_OBJECT) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Parameter 1 expected to be Array or Object.  Incorrect value given.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Parameter 1 expected to be Array or Object.  Incorrect value given");
 		RETURN_FALSE;
 	}
 
Index: ext/standard/http_fopen_wrapper.c
===================================================================
RCS file: /repository/php-src/ext/standard/http_fopen_wrapper.c,v
retrieving revision 1.119
diff -u -r1.119 http_fopen_wrapper.c
--- ext/standard/http_fopen_wrapper.c	19 Sep 2006 10:38:31 -0000	1.119
+++ ext/standard/http_fopen_wrapper.c	25 Sep 2006 08:05:42 -0000
@@ -150,7 +150,7 @@
 	tmp_line[0] = '\0';
 
 	if (redirect_max < 1) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Redirection limit reached, aborting.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Redirection limit reached, aborting");
 		return NULL;
 	}
 
Index: ext/standard/image.c
===================================================================
RCS file: /repository/php-src/ext/standard/image.c,v
retrieving revision 1.125
diff -u -r1.125 image.c
--- ext/standard/image.c	19 Sep 2006 10:38:31 -0000	1.125
+++ ext/standard/image.c	25 Sep 2006 08:05:56 -0000
@@ -1349,7 +1349,7 @@
 #if HAVE_ZLIB && !defined(COMPILE_DL_ZLIB)
 			result = php_handle_swc(stream TSRMLS_CC);
 #else
-			php_error_docref(NULL TSRMLS_CC, E_NOTICE, "The image is a compressed SWF file, but you do not have a static version of the zlib extension enabled.");
+			php_error_docref(NULL TSRMLS_CC, E_NOTICE, "The image is a compressed SWF file, but you do not have a static version of the zlib extension enabled");
 
 #endif
 			break;
Index: ext/standard/streamsfuncs.c
===================================================================
RCS file: /repository/php-src/ext/standard/streamsfuncs.c,v
retrieving revision 1.89
diff -u -r1.89 streamsfuncs.c
--- ext/standard/streamsfuncs.c	22 Sep 2006 19:54:30 -0000	1.89
+++ ext/standard/streamsfuncs.c	25 Sep 2006 08:07:52 -0000
@@ -365,7 +365,7 @@
 	}
 
 	if (to_read <= 0) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Length parameter must be greater than 0.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Length parameter must be greater than 0");
 		RETURN_FALSE;
 	}
 	
@@ -407,7 +407,7 @@
 	php_stream_from_zval(stream, &zsrc);
 
 	if (pos > 0 && php_stream_seek(stream, pos, SEEK_SET) < 0) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Failed to seek to position %ld in the stream.", pos);
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Failed to seek to position %ld in the stream", pos);
 		RETURN_FALSE;
 	}
 
@@ -459,7 +459,7 @@
 	php_stream_from_zval(dest, &zdest);
 
 	if (pos > 0 && php_stream_seek(src, pos, SEEK_SET) < 0) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Failed to seek to position %ld in the stream.", pos);
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Failed to seek to position %ld in the stream", pos);
 		RETURN_FALSE;
 	}
 
@@ -803,10 +803,10 @@
 		convert_to_long_ex(sec);
 
 		if (Z_LVAL_PP(sec) < 0) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "The seconds parameter must be greater than 0.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "The seconds parameter must be greater than 0");
 			RETURN_FALSE;
 		} else if (usec < 0) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "The microseconds parameter must be greater than 0.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "The microseconds parameter must be greater than 0");
 			RETURN_FALSE;
 		}
 
@@ -1059,7 +1059,7 @@
 	}
 	context = decode_context_param(zcontext TSRMLS_CC);
 	if (!context) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid stream/context parameter.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid stream/context parameter");
 		RETURN_FALSE;
 	}
 
@@ -1090,7 +1090,7 @@
 	/* figure out where the context is coming from exactly */
 	context = decode_context_param(zcontext TSRMLS_CC);
 	if (!context) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid stream/context parameter.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid stream/context parameter");
 		RETURN_FALSE;
 	}
 
@@ -1117,7 +1117,7 @@
 
 	context = decode_context_param(zcontext TSRMLS_CC);
 	if (!context) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid stream/context parameter.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid stream/context parameter");
 		RETURN_FALSE;
 	}
 
@@ -1313,7 +1313,7 @@
 	}
 
 	if (max_length < 0) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "The maximum allowed length must be greater than or equal to zero.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "The maximum allowed length must be greater than or equal to zero");
 		RETURN_FALSE;
 	}
 	if (!max_length) {
Index: ext/standard/string.c
===================================================================
RCS file: /repository/php-src/ext/standard/string.c,v
retrieving revision 1.593
diff -u -r1.593 string.c
--- ext/standard/string.c	23 Sep 2006 12:22:07 -0000	1.593
+++ ext/standard/string.c	25 Sep 2006 08:13:08 -0000
@@ -546,22 +546,22 @@
 			/* Error, try to be as helpful as possible:
 			   (a range ending/starting with '.' won't be captured here) */
 			if (end-len >= input) { /* there was no 'left' char */
-				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid '..'-range, no character to the left of '..'.");
+				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid '..'-range, no character to the left of '..'");
 				result = FAILURE;
 				continue;
 			}
 			if (input+2 >= end) { /* there is no 'right' char */
-				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid '..'-range, no character to the right of '..'.");
+				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid '..'-range, no character to the right of '..'");
 				result = FAILURE;
 				continue;
 			}
 			if (input[-1] > input[2]) { /* wrong order */
-				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid '..'-range, '..'-range needs to be incrementing.");
+				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid '..'-range, '..'-range needs to be incrementing");
 				result = FAILURE;
 				continue;
 			}
 			/* FIXME: better error (a..b..c is the only left possibility?) */
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid '..'-range.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid '..'-range");
 			result = FAILURE;
 			continue;
 		} else {
@@ -847,7 +847,7 @@
 	}
 
 	if (linelength == 0 && docut) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Can't force cut when width is zero.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Can't force cut when width is zero");
 		RETURN_FALSE;
 	}
 
@@ -1110,7 +1110,7 @@
 	}
 
 	if ( delim_len == 0 ) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Empty delimiter.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Empty delimiter");
 		RETURN_FALSE;
 	}
 
@@ -1264,7 +1264,7 @@
 
 	if (argc == 1) {
 		if (Z_TYPE_PP(arg1) != IS_ARRAY) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Argument to implode must be an array.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Argument to implode must be an array");
 			RETURN_FALSE;
 		} else {
 			SEPARATE_ZVAL(arg1);
@@ -1292,7 +1292,7 @@
 			}
 			delim = *arg1;
 		} else {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Bad arguments.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Bad arguments");
 			RETURN_FALSE;
 		}
 	}
@@ -1358,7 +1358,7 @@
 	}
 
 	if (BG(strtok_zval) && tok_type != Z_TYPE_P(BG(strtok_zval))) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Delimiter type must match string type.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Delimiter type must match string type");
 		RETURN_FALSE;
 	}
 
@@ -2317,7 +2317,7 @@
 
 	if (Z_TYPE_PP(needle) == IS_UNICODE || Z_TYPE_PP(needle) == IS_STRING) {
 		if (!Z_UNILEN_PP(needle)) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Empty delimiter.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Empty delimiter");
 			RETURN_FALSE;
 		}
 		if (Z_TYPE_PP(haystack) != Z_TYPE_PP(needle)) {
@@ -2406,7 +2406,7 @@
 
 	if (Z_TYPE_PP(needle) == IS_STRING || Z_TYPE_PP(needle) == IS_UNICODE) {
 		if (!Z_STRLEN_PP(needle)) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Empty delimiter.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Empty delimiter");
 			RETURN_FALSE;
 		}
 
@@ -2519,13 +2519,13 @@
 	 * code units, and leave the rest to zend_u_memnstr().
 	 */
 	if (offset < 0 || offset > haystack_len) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Offset not contained in string.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Offset not contained in string");
 		RETURN_FALSE;
 	}
 
 	if (Z_TYPE_PP(needle) == IS_STRING || Z_TYPE_PP(needle) == IS_UNICODE) {
 		if (!Z_STRLEN_PP(needle)) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Empty delimiter.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Empty delimiter");
 			RETURN_FALSE;
 		}
 
@@ -2611,7 +2611,7 @@
 		convert_to_text_ex(haystack);
 	}
 	if (offset < 0 || offset > Z_UNILEN_PP(haystack)) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Offset not contained in string.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Offset not contained in string");
 		RETURN_FALSE;
 	}
 
@@ -2664,7 +2664,7 @@
 				}
 				break;
 			default:
-				php_error_docref(NULL TSRMLS_CC, E_WARNING, "needle is not a string or an integer.");
+				php_error_docref(NULL TSRMLS_CC, E_WARNING, "needle is not a string or an integer");
 				RETURN_FALSE;
 				break;
 
@@ -3043,7 +3043,7 @@
 	}
 
 	if (chunklen <= 0) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Chunk length should be greater than zero.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Chunk length should be greater than zero");
 		RETURN_FALSE;
 	}
 
@@ -3285,7 +3285,7 @@
 	if (Z_TYPE_PP(str) != IS_ARRAY) {
 		if ( (argc == 3 && Z_TYPE_PP(from) == IS_ARRAY) ||
 			 (argc == 4 && Z_TYPE_PP(from) != Z_TYPE_PP(len)) ) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "'from' and 'len' should be of same type - numerical or array ");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "'from' and 'len' should be of same type - numerical or array");
 			RETURN_ZVAL(*str, 1, 0);
 		}
 		if (argc == 4 && Z_TYPE_PP(from) == IS_ARRAY) {
@@ -3326,7 +3326,7 @@
 				RETURN_STRINGL((char *)result, result_len, 0);
 			}
 		} else {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Functionality of 'from' and 'len' as arrays is not implemented.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Functionality of 'from' and 'len' as arrays is not implemented");
 			RETURN_ZVAL(*str, 1, 0);
 		}
 	} else { /* str is array of strings */
@@ -4031,7 +4031,7 @@
 	}
 
 	if (ac == 2 && Z_TYPE_PP(from) != IS_ARRAY) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "The second argument is not an array.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "The second argument is not an array");
 		RETURN_FALSE;
 	}
 
@@ -5556,7 +5556,7 @@
 		cat = Z_LVAL_PP(pcategory);
 	} else { /* FIXME: The following behaviour should be removed. */
 		char *category;
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Passing locale category name as string is deprecated. Use the LC_* -constants instead.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Passing locale category name as string is deprecated. Use the LC_* -constants instead");
 		convert_to_string_ex(pcategory);
 		category = Z_STRVAL_P(*pcategory);
 
@@ -5577,7 +5577,7 @@
 		else if (!strcasecmp ("LC_TIME", category))
 			cat = LC_TIME;
 		else {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid locale category name %s, must be one of LC_ALL, LC_COLLATE, LC_CTYPE, LC_MONETARY, LC_NUMERIC, or LC_TIME.", category);
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid locale category name %s, must be one of LC_ALL, LC_COLLATE, LC_CTYPE, LC_MONETARY, LC_NUMERIC, or LC_TIME", category);
 			efree(args);
 			RETURN_FALSE;
 		}
@@ -6354,7 +6354,7 @@
 
 	if (ZEND_NUM_ARGS() > 1) {
 		if (mode < 0 || mode > 4) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unknown mode.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unknown mode");
 			RETURN_FALSE;
 		}
 		if (UG(unicode) && mode != 1) {
@@ -6590,7 +6590,7 @@
 	}
 
 	if (needle_len == 0) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Empty substring.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Empty substring");
 		RETURN_FALSE;
 	}
 
@@ -6604,7 +6604,7 @@
 
 	if (ac > 2) {
 		if (offset < 0) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Offset should be greater than or equal to 0.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Offset should be greater than or equal to 0");
 			RETURN_FALSE;
 		}
 		if (haystack_type == IS_UNICODE) {
@@ -6615,12 +6615,12 @@
 			p = (char *)haystack + offset;
 		}
 		if (p > endp) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Offset value %ld exceeds string length.", offset);
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Offset value %ld exceeds string length", offset);
 			RETURN_FALSE;
 		}
 		if (ac == 4) {
 			if (length < 0) {
-				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Length should be greater than 0.");
+				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Length should be greater than 0");
 				RETURN_FALSE;
 			}
 			if (haystack_type == IS_UNICODE) {
@@ -6632,7 +6632,7 @@
 				tmp = (char *)p + length;
 			}
 			if (tmp > endp) {
-				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Offset value %ld exceeds string length.", offset);
+				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Offset value %ld exceeds string length", offset);
 				RETURN_FALSE;
 			} else {
 				endp = tmp;
@@ -6717,12 +6717,12 @@
 	/* Setup the padding string values if NOT specified. */
 	if (ZEND_NUM_ARGS() > 2) {
 		if (padstr_len == 0) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Padding string cannot be empty.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Padding string cannot be empty");
 			return;
 		}
 		if (ZEND_NUM_ARGS() > 3) {
 			if (pad_type < STR_PAD_LEFT || pad_type > STR_PAD_BOTH) {
-				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Padding type has to be STR_PAD_LEFT, STR_PAD_RIGHT, or STR_PAD_BOTH.");
+				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Padding type has to be STR_PAD_LEFT, STR_PAD_RIGHT, or STR_PAD_BOTH");
 				return;
 			}
 		} else {
@@ -7126,7 +7126,7 @@
 	}
 
 	if (split_length <= 0) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "The length of each segment must be greater than zero.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "The length of each segment must be greater than zero");
 		RETURN_FALSE;
 	}
 
@@ -7170,7 +7170,7 @@
 	}
 
 	if (!char_list_len) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "The character list cannot be empty.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "The character list cannot be empty");
 		RETURN_FALSE;
 	}
 
Index: ext/standard/uniqid.c
===================================================================
RCS file: /repository/php-src/ext/standard/uniqid.c,v
retrieving revision 1.45
diff -u -r1.45 uniqid.c
--- ext/standard/uniqid.c	6 Apr 2006 20:05:43 -0000	1.45
+++ ext/standard/uniqid.c	25 Sep 2006 08:13:20 -0000
@@ -61,7 +61,7 @@
 #if HAVE_USLEEP && !defined(PHP_WIN32)
 	if (!more_entropy) {
 #if defined(__CYGWIN__)
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "You must use 'more entropy' under CYGWIN.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "You must use 'more entropy' under CYGWIN");
 		RETURN_FALSE;
 #else
 		usleep(1);
Index: ext/standard/url.c
===================================================================
RCS file: /repository/php-src/ext/standard/url.c,v
retrieving revision 1.96
diff -u -r1.96 url.c
--- ext/standard/url.c	23 Sep 2006 11:58:49 -0000	1.96
+++ ext/standard/url.c	25 Sep 2006 08:13:44 -0000
@@ -375,7 +375,7 @@
 				if (resource->fragment != NULL) RETVAL_STRING(resource->fragment, 1);
 				break;
 			default:
-				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid URL component identifier %ld.", key);
+				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid URL component identifier %ld", key);
 				RETVAL_FALSE;
 		}
 		goto done;
Index: ext/standard/uuencode.c
===================================================================
RCS file: /repository/php-src/ext/standard/uuencode.c,v
retrieving revision 1.7
diff -u -r1.7 uuencode.c
--- ext/standard/uuencode.c	25 Jun 2006 19:19:31 -0000	1.7
+++ ext/standard/uuencode.c	25 Sep 2006 08:13:58 -0000
@@ -213,7 +213,7 @@
 
 	dst_len = php_uudecode(src, src_len, &dst);
 	if (dst_len < 0) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "The given parameter is not a valid uuencoded string.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "The given parameter is not a valid uuencoded string");
 		RETURN_FALSE;
 	}
 
Index: ext/standard/var.c
===================================================================
RCS file: /repository/php-src/ext/standard/var.c,v
retrieving revision 1.244
diff -u -r1.244 var.c
--- ext/standard/var.c	8 Aug 2006 16:59:11 -0000	1.244
+++ ext/standard/var.c	25 Sep 2006 08:14:46 -0000
@@ -775,7 +775,7 @@
 			if (Z_TYPE_PP(name) != (UG(unicode)?IS_UNICODE:IS_STRING)) {
 				php_error_docref(NULL TSRMLS_CC, E_NOTICE, "__sleep should return an array only "
 						"containing the names of instance-variables to "
-						"serialize.");
+						"serialize");
 				/* we should still add element even if it's not OK,
 				   since we already wrote the length of the array before */
 				smart_str_appendl(buf,"N;", 2);
@@ -960,7 +960,7 @@
 							} else {
 								php_error_docref(NULL TSRMLS_CC, E_NOTICE, "__sleep should return an array only "
 												 "containing the names of instance-variables to "
-												 "serialize.");
+												 "serialize");
 								/* we should still add element even if it's not OK,
 				   				since we already wrote the length of the array before */
 								smart_str_appendl(buf,"N;", 2);
Index: ext/sybase/php_sybase_db.c
===================================================================
RCS file: /repository/php-src/ext/sybase/php_sybase_db.c,v
retrieving revision 1.72
diff -u -r1.72 php_sybase_db.c
--- ext/sybase/php_sybase_db.c	8 Mar 2006 00:43:28 -0000	1.72
+++ ext/sybase/php_sybase_db.c	25 Sep 2006 08:45:54 -0000
@@ -935,7 +935,7 @@
 		/* Check assumption that dbnextrow returns NO_MORE_ROWS */
 		retvalue = dbnextrow(sybase_ptr->link);
 		if (retvalue != NO_MORE_ROWS) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING,"Expected dbnextrow() to return NO_MORE_ROWS.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Expected dbnextrow() to return NO_MORE_ROWS");
 		}
 	}
 }
Index: ext/sybase_ct/php_sybase_ct.c
===================================================================
RCS file: /repository/php-src/ext/sybase_ct/php_sybase_ct.c,v
retrieving revision 1.114
diff -u -r1.114 php_sybase_ct.c
--- ext/sybase_ct/php_sybase_ct.c	25 Jul 2006 09:12:07 -0000	1.114
+++ ext/sybase_ct/php_sybase_ct.c	25 Sep 2006 08:46:34 -0000
@@ -512,16 +512,16 @@
 
 	if (charset) {
 		if (cs_loc_alloc(SybCtG(context), &tmp_locale)!=CS_SUCCEED) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Sybase: Unable to allocate locale information.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Sybase: Unable to allocate locale information");
 		} else {
 			if (cs_locale(SybCtG(context), CS_SET, tmp_locale, CS_LC_ALL, NULL, CS_NULLTERM, NULL)!=CS_SUCCEED) {
-				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Sybase: Unable to load default locale data.");
+				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Sybase: Unable to load default locale data");
 			} else {
 				if (cs_locale(SybCtG(context), CS_SET, tmp_locale, CS_SYB_CHARSET, charset, CS_NULLTERM, NULL)!=CS_SUCCEED) {
-					php_error_docref(NULL TSRMLS_CC, E_WARNING, "Sybase: Unable to update character set.");
+					php_error_docref(NULL TSRMLS_CC, E_WARNING, "Sybase: Unable to update character set");
 				} else {
 					if (ct_con_props(sybase->connection, CS_SET, CS_LOC_PROP, tmp_locale, CS_UNUSED, NULL)!=CS_SUCCEED) {
-						php_error_docref(NULL TSRMLS_CC, E_WARNING, "Sybase: Unable to update connection properties.");
+						php_error_docref(NULL TSRMLS_CC, E_WARNING, "Sybase: Unable to update connection properties");
 					}
 				}
 			}
@@ -530,7 +530,7 @@
 	
 	if (cfg_get_long("sybct.packet_size", &packetsize) == SUCCESS) {
 		if (ct_con_props(sybase->connection, CS_SET, CS_PACKETSIZE, (CS_VOID *)&packetsize, CS_UNUSED, NULL) != CS_SUCCEED) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Sybase: Unable to update connection packetsize.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Sybase: Unable to update connection packetsize");
 		}
 	}
 
Index: ext/sysvmsg/sysvmsg.c
===================================================================
RCS file: /repository/php-src/ext/sysvmsg/sysvmsg.c,v
retrieving revision 1.25
diff -u -r1.25 sysvmsg.c
--- ext/sysvmsg/sysvmsg.c	5 Jun 2006 22:52:27 -0000	1.25
+++ ext/sysvmsg/sysvmsg.c	25 Sep 2006 08:46:52 -0000
@@ -411,7 +411,7 @@
 				break;
 
 			default:
-				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Message parameter must be either a string or a number.");
+				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Message parameter must be either a string or a number");
 				RETURN_FALSE;
 		}
 
Index: ext/tidy/tidy.c
===================================================================
RCS file: /repository/php-src/ext/tidy/tidy.c,v
retrieving revision 1.101
diff -u -r1.101 tidy.c
--- ext/tidy/tidy.c	15 Sep 2006 14:59:04 -0000	1.101
+++ ext/tidy/tidy.c	25 Sep 2006 08:48:26 -0000
@@ -165,7 +165,7 @@
 #define TIDY_SET_DEFAULT_CONFIG(_doc) \
 	if (TG(default_config) && TG(default_config)[0]) { \
 		if (tidyLoadConfig(_doc, TG(default_config)) < 0) { \
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unable to load Tidy configuration file at '%s'.", TG(default_config)); \
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unable to load Tidy configuration file at '%s'", TG(default_config)); \
 		} \
 	}
 /* }}} */
@@ -1202,7 +1202,7 @@
 	obj = (PHPTidyObj *) zend_object_store_get_object(return_value TSRMLS_CC);
 
 	if (!(contents = php_tidy_file_to_mem(inputfile, use_include_path, &contents_len TSRMLS_CC))) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Cannot Load '%s' into memory %s", inputfile, (use_include_path) ? "(Using include path)" : "");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Cannot Load '%s' into memory%s", inputfile, (use_include_path) ? " (Using include path)" : "");
 		RETURN_FALSE;
 	}
 
@@ -1516,7 +1516,7 @@
 	
 	if (inputfile) {
 		if (!(contents = php_tidy_file_to_mem(inputfile, use_include_path, &contents_len TSRMLS_CC))) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Cannot Load '%s' into memory %s", inputfile, (use_include_path) ? "(Using include path)" : "");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Cannot Load '%s' into memory%s", inputfile, (use_include_path) ? " (Using include path)" : "");
 			return;
 		}
 
@@ -1547,7 +1547,7 @@
 	}
 	
 	if (!(contents = php_tidy_file_to_mem(inputfile, use_include_path, &contents_len TSRMLS_CC))) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Cannot Load '%s' into memory %s", inputfile, (use_include_path) ? "(Using include path)" : "");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Cannot Load '%s' into memory%s", inputfile, (use_include_path) ? " (Using include path)" : "");
 		RETURN_FALSE;
 	}
 
Index: ext/wddx/wddx.c
===================================================================
RCS file: /repository/php-src/ext/wddx/wddx.c,v
retrieving revision 1.139
diff -u -r1.139 wddx.c
--- ext/wddx/wddx.c	2 Aug 2006 22:02:12 -0000	1.139
+++ ext/wddx/wddx.c	25 Sep 2006 08:48:42 -0000
@@ -462,7 +462,7 @@
 				 zend_hash_get_current_data(HASH_OF(retval), (void **)&varname) == SUCCESS;
 				 zend_hash_move_forward(HASH_OF(retval))) {
 				if (Z_TYPE_PP(varname) != IS_STRING) {
-					php_error_docref(NULL TSRMLS_CC, E_NOTICE, "__sleep should return an array only containing the names of instance-variables to serialize.");
+					php_error_docref(NULL TSRMLS_CC, E_NOTICE, "__sleep should return an array only containing the names of instance-variables to serialize");
 					continue;
 				}
 
Index: ext/xml/xml.c
===================================================================
RCS file: /repository/php-src/ext/xml/xml.c,v
retrieving revision 1.166
diff -u -r1.166 xml.c
--- ext/xml/xml.c	15 Aug 2006 22:45:18 -0000	1.166
+++ ext/xml/xml.c	25 Sep 2006 08:48:52 -0000
@@ -1504,7 +1504,7 @@
 	ZEND_FETCH_RESOURCE(parser,xml_parser *, pind, -1, "XML Parser", le_xml_parser);
 
 	if (parser->isparsing == 1) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Parser cannot be freed while it is parsing.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Parser cannot be freed while it is parsing");
 		RETURN_FALSE;
 	}
 
Index: ext/xmlreader/php_xmlreader.c
===================================================================
RCS file: /repository/php-src/ext/xmlreader/php_xmlreader.c,v
retrieving revision 1.41
diff -u -r1.41 php_xmlreader.c
--- ext/xmlreader/php_xmlreader.c	16 Sep 2006 18:21:53 -0000	1.41
+++ ext/xmlreader/php_xmlreader.c	25 Sep 2006 08:49:38 -0000
@@ -549,11 +549,11 @@
 		}
 	}
 	
-	php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unable to set schema. This must be set prior to reading or schema contains errors.");
+	php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unable to set schema. This must be set prior to reading or schema contains errors");
 
 	RETURN_FALSE;
 #else
-	php_error_docref(NULL TSRMLS_CC, E_WARNING, "No Schema support built into libxml.");
+	php_error_docref(NULL TSRMLS_CC, E_WARNING, "No Schema support built into libxml");
 
 	RETURN_FALSE;
 #endif
@@ -1020,11 +1020,11 @@
 		}
 	}
 	
-	php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unable to set schema. This must be set prior to reading or schema contains errors.");
+	php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unable to set schema. This must be set prior to reading or schema contains errors");
 
 	RETURN_FALSE;
 #else
-	php_error_docref(NULL TSRMLS_CC, E_WARNING, "No Schema support built into libxml.");
+	php_error_docref(NULL TSRMLS_CC, E_WARNING, "No Schema support built into libxml");
 
 	RETURN_FALSE;
 #endif
@@ -1175,7 +1175,7 @@
 		node = xmlTextReaderExpand(intern->ptr);
 		
 		if (node == NULL) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "An Error Occured while expanding ");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "An Error Occured while expanding");
 			RETURN_FALSE;
 		} else {
 			nodec = xmlCopyNode(node, 1);
Index: ext/xsl/xsltprocessor.c
===================================================================
RCS file: /repository/php-src/ext/xsl/xsltprocessor.c,v
retrieving revision 1.51
diff -u -r1.51 xsltprocessor.c
--- ext/xsl/xsltprocessor.c	21 Sep 2006 10:31:35 -0000	1.51
+++ ext/xsl/xsltprocessor.c	25 Sep 2006 08:50:12 -0000
@@ -268,14 +268,14 @@
 		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unable to call handler %R()", Z_TYPE(callable), Z_UNIVAL(callable));
 		
 	} else if ( intern->registerPhpFunctions == 2 && zend_u_hash_exists(intern->registered_phpfunctions, Z_TYPE(callable), Z_UNIVAL(callable), Z_UNILEN(callable) + 1) == 0) { 
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Not allowed to call handler '%R()'.", Z_TYPE(callable), Z_UNIVAL(callable));
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Not allowed to call handler '%R()'", Z_TYPE(callable), Z_UNIVAL(callable));
 		// Push an empty string, so that we at least have an xslt result...
 		valuePush(ctxt, xmlXPathNewString(""));
 	} else {
 		result = zend_call_function(&fci, NULL TSRMLS_CC);
 		if (result == FAILURE) {
 			if (Z_TYPE(callable) == IS_STRING || Z_TYPE(callable) == IS_UNICODE) {
-				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unable to call handler '%R()'.", Z_TYPE(callable), Z_UNIVAL(callable));
+				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unable to call handler '%R()'", Z_TYPE(callable), Z_UNIVAL(callable));
 			}
 		/* retval is == NULL, when an exception occured, don't report anything, because PHP itself will handle that */
 		} else if (retval == NULL) {
Index: ext/zlib/zlib_filter.c
===================================================================
RCS file: /repository/php-src/ext/zlib/zlib_filter.c,v
retrieving revision 1.11
diff -u -r1.11 zlib_filter.c
--- ext/zlib/zlib_filter.c	12 Jun 2006 23:28:44 -0000	1.11
+++ ext/zlib/zlib_filter.c	25 Sep 2006 08:51:16 -0000
@@ -292,7 +292,7 @@
 	/* Create this filter */
 	data = pecalloc(1, sizeof(php_zlib_filter_data), persistent);
 	if (!data) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Failed allocating %ld bytes.", sizeof(php_zlib_filter_data));
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Failed allocating %ld bytes", sizeof(php_zlib_filter_data));
 		return NULL;
 	}
 
@@ -304,14 +304,14 @@
 	data->strm.avail_out = data->outbuf_len = data->inbuf_len = 2048;
 	data->strm.next_in = data->inbuf = (Bytef *) pemalloc(data->inbuf_len, persistent);
 	if (!data->inbuf) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Failed allocating %ld bytes.", data->inbuf_len);
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Failed allocating %ld bytes", data->inbuf_len);
 		pefree(data, persistent);
 		return NULL;
 	}
 	data->strm.avail_in = 0;
 	data->strm.next_out = data->outbuf = (Bytef *) pemalloc(data->outbuf_len, persistent);
 	if (!data->outbuf) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Failed allocating %ld bytes.", data->outbuf_len);
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Failed allocating %ld bytes", data->outbuf_len);
 		pefree(data->inbuf, persistent);
 		pefree(data, persistent);
 		return NULL;
@@ -403,7 +403,7 @@
 					zval_ptr_dtor(tmpzval);
 					break;
 				default:
-					php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid filter parameter, ignored.");
+					php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid filter parameter, ignored");
 			}
 		}
 		status = deflateInit2(&(data->strm), level, Z_DEFLATED, windowBits, memLevel, 0);
Index: main/streams/filter.c
===================================================================
RCS file: /repository/php-src/main/streams/filter.c,v
retrieving revision 1.35
diff -u -r1.35 filter.c
--- main/streams/filter.c	19 Sep 2006 10:38:31 -0000	1.35
+++ main/streams/filter.c	25 Sep 2006 08:53:52 -0000
@@ -436,7 +436,7 @@
 			}
 			php_stream_bucket_unlink(bucket TSRMLS_CC);
 			php_stream_bucket_delref(bucket TSRMLS_CC);
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Filter failed to process pre-buffered data.  Not adding to filterchain.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Filter failed to process pre-buffered data.  Not adding to filterchain");
 		} else {
 			/* This filter addition may change the readbuffer type.
 			   Since all the previously held data is in the bucket brigade,
Index: main/streams/streams.c
===================================================================
RCS file: /repository/php-src/main/streams/streams.c,v
retrieving revision 1.137
diff -u -r1.137 streams.c
--- main/streams/streams.c	24 Sep 2006 20:33:14 -0000	1.137
+++ main/streams/streams.c	25 Sep 2006 08:54:26 -0000
@@ -2066,7 +2066,7 @@
 		/* BC with older php scripts and zlib wrapper */
 		protocol = "compress.zlib";
 		n = 13;
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Use of \"zlib:\" wrapper is deprecated; please use \"compress.zlib://\" instead.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Use of \"zlib:\" wrapper is deprecated; please use \"compress.zlib://\" instead");
 	}
 
 	if (protocol)	{
@@ -2335,7 +2335,7 @@
 
 	wrapper = php_stream_locate_url_wrapper(path, &path_to_open, options TSRMLS_CC);
 	if (options & STREAM_USE_URL && (!wrapper || !wrapper->is_url)) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "This function may only be used against URLs.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "This function may only be used against URLs");
 		return NULL;
 	}
 
Index: main/streams/unicode_filter.c
===================================================================
RCS file: /repository/php-src/main/streams/unicode_filter.c,v
retrieving revision 1.4
diff -u -r1.4 unicode_filter.c
--- main/streams/unicode_filter.c	19 Sep 2006 10:38:31 -0000	1.4
+++ main/streams/unicode_filter.c	25 Sep 2006 08:55:02 -0000
@@ -288,7 +288,7 @@
 	/* Create this filter */
 	data = (php_unicode_filter_data *)pecalloc(1, sizeof(php_unicode_filter_data), persistent);
 	if (!data) {
-		php_error_docref(NULL TSRMLS_CC, E_ERROR, "Failed allocating %d bytes.", sizeof(php_unicode_filter_data));
+		php_error_docref(NULL TSRMLS_CC, E_ERROR, "Failed allocating %d bytes", sizeof(php_unicode_filter_data));
 		return NULL;
 	}
 
Index: main/streams/userspace.c
===================================================================
RCS file: /repository/php-src/main/streams/userspace.c,v
retrieving revision 1.36
diff -u -r1.36 userspace.c
--- main/streams/userspace.c	19 Sep 2006 10:38:31 -0000	1.36
+++ main/streams/userspace.c	25 Sep 2006 08:56:06 -0000
@@ -456,7 +456,7 @@
 		} else {
 			/* We failed.  But why? */
 			if (zend_hash_exists(php_stream_get_url_stream_wrappers_hash(), protocol, protocol_len)) {
-				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Protocol %s:// is already defined.", protocol);
+				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Protocol %s:// is already defined", protocol);
 			} else {
 				/* Should never happen */
 				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unable to register wrapper class %s to %s://", classname, protocol);
